<template>
  <div class="fact-slot-update-by-icon">
    <template v-if="isTracking">
      <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M9.47368 1C9.06674 1 8.73684 1.3299 8.73684 1.73684C8.73684 2.14379 9.06674 2.47368 9.47368 2.47368C11.9771 2.47368 13.5263 4.31627 13.5263 6.52632C13.5263 6.93326 13.8562 7.26316 14.2632 7.26316C14.6701 7.26316 15 6.93326 15 6.52632C15 3.57847 12.865 1 9.47368 1Z" fill="#80B7D2"/>
        <path d="M8.73684 3.21053C8.3299 3.21053 8 3.54042 8 3.94737C8 4.35432 8.3299 4.68421 8.73684 4.68421C10.3334 4.68421 11.3158 5.84663 11.3158 7.26316C11.3158 7.6701 11.6457 8 12.0526 8C12.4596 8 12.7895 7.6701 12.7895 7.26316C12.7895 5.10883 11.2213 3.21053 8.73684 3.21053Z" fill="#80B7D2"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M9.10526 8.36842C9.91916 8.36842 10.5789 7.70863 10.5789 6.89474C10.5789 6.08084 9.91916 5.42105 9.10526 5.42105C8.29137 5.42105 7.63158 6.08084 7.63158 6.89474C7.63158 7.02677 7.64894 7.15474 7.68151 7.2765L6.7159 8.24212C5.94099 7.27062 5.49798 6.09106 5.13263 5.11828C4.50829 3.45593 4.11074 2.39739 2.67126 4.01277C1.63196 5.17908 1 6.71924 1 8.40766C1 12.0485 3.93856 15 7.56347 15C9.24449 15 10.7779 14.3653 11.9391 13.3214C13.6215 11.809 12.5666 11.4164 10.8647 10.783C9.91619 10.4299 8.7667 10.0021 7.77815 9.26397L8.7236 8.31852C8.84533 8.35107 8.97327 8.36842 9.10526 8.36842ZM7.56347 13.5263C4.75855 13.5263 2.47368 11.2407 2.47368 8.40766C2.47368 7.19534 2.89109 6.08475 3.59005 5.20837C3.62828 5.30799 3.67022 5.41917 3.71529 5.53864C3.89846 6.02425 4.13329 6.64676 4.38049 7.18596C4.77635 8.04941 5.32987 9.02072 6.17706 9.83586C7.03043 10.6569 8.0145 11.1942 8.88484 11.5809C9.3221 11.7752 9.74611 11.938 10.1192 12.0777C10.2053 12.11 10.2872 12.1405 10.3655 12.1696C10.5318 12.2316 10.6819 12.2874 10.8208 12.341C9.9369 13.0825 8.80294 13.5263 7.56347 13.5263Z" fill="#80B7D2"/>
      </svg>
    </template>
    <template v-else-if="isByUser">
      <i class="icon hand" />
    </template>
  </div>
</template>

<script>
export default {
  name: 'FactSlotUpdatedByIcon',
  props: {
    point: {
      type: Object,
      default: () => {}
    },
    property: {
      type: String,
      default: null
    }
  },
  computed: {
    isByUser () {
      return this.property && ['CLIENT', 'CARRIER', 'EXPEDITOR'].includes(this.point[this.property])
    },
    isTracking () {
      return this.property && ['TRACKING'].includes(this.point[this.property])
    }
  }
}
</script>

<style lang="scss" scoped>
.fact-slot-update-by-icon {
  .icon {
    color: $blue-700;
    opacity: 0.5;
    font-size: 16px;
  }
}
</style>